Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IPlugFrame Class Referenceabstract
Graphical User Interface

Callback interface passed to IPlugView. More...

`#include <iplugview.h>`

Inheritance diagram for IPlugFrame:

## Public Member Functions
virtual tresult | resizeView (IPlugView *view, ViewRect *newSize)=0
| Called to inform the host about the resize of a given view.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface.
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count.
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count.

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Callback interface passed to IPlugView.

- [host imp]
- [released: 3.0.0]
- [mandatory]

Enables a plug-in to resize the view and cause the host to resize the window.

## Member Function Documentation

## ◆ resizeView()

virtual tresult resizeView | ( | IPlugView * | view,
|  | ViewRect * | newSize )
| pure virtual

Called to inform the host about the resize of a given view.

Afterwards the host has to call IPlugView::onSize ().

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.